
Figure - Bug #118313
【IOVDEV-31106】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏端未进行任何操作而发生黑
屏-与118419并票
2023-05-27 18:17 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-27

Priority: High Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 黑屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.c103  中控：03.02.0082.C102

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 同件BUG

Description

【环境信息】EE环境

【问题出现时间】：20230527  17点40分（ 副屏第212次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，CANoe的E2E工程发送电源模式信号powermode=local on，已连接中控和功放，可正常

输出声音，副屏以太网和WiFi都是已连接状态）

1.在17点15分之后就一直在做中控的电源管理测试（发送BDCM_Powermode信号并进行IDCM的KL15 ON和OFF切换），未对副屏进行任

何操作（包括未对副屏的KL15进行操作）

【实际结果】

副屏突然黑屏（黑屏时间可能更早，只是17点40分才观察副屏）

【期望结果】

副屏超过10分钟无操作，显示屏保界面。

【备注】：

可以通过WiFi连接adb，可以使用投屏软件进行投屏到电脑，通过电脑端下滑显示控制中心，点击控制中心的息屏后，再点击副屏屏幕

，副屏恢复亮屏。

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏历史log地址：https://ofs.human-horizons.com/#/download/index/tYAsrjYSnJQ%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0082.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-27 18:18 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118313
https://ofs.human-horizons.com/#/download/index/tYAsrjYSnJQ%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118313


#2 - 2023-05-29 19:48 - CDTS-TEST 周婷

- Assignee changed from CD TPM-王祥林 to CD BSP-余霄

请今晚给出分析结果

#3 - 2023-05-29 20:38 - CD BSP-杜磊

从log分析，未发现MAX9和DTC_Dis关键字相关错误。

#4 - 2023-05-29 20:51 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-余霄 to CD FW 曹覃刚

覃刚，

帮忙看一下是否和surfaceflinger相关

FSEM_000212_0235_0527174613/fatal/tombstones/tombstone_07:1557:pid: 977, tid: 3185, name: Binder:977_5  >>> /system/bin/surfaceflinger <<<

#5 - 2023-05-29 21:17 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD BSP-杜磊

Hi 杜磊

1.

FSEM_000212_0235_0527174613/fatal/tombstones/tombstone_07:1557:pid: 977, tid: 3185, name: Binder:977_5 >>> /system/bin/surfaceflinger <<<

这个tombstone发生时间是2023-05-25 23:59:02，与问题发生时间差了两天，请重新确认问题发生时的日志

---------------

Timestamp: 2023-05-25 23:59:02.177331443+0800

Process uptime: 0s

Cmdline: /system/bin/surfaceflinger

pid: 977, tid: 977, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

uid: 1000

signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

Cause: null pointer dereference

    x0  b400007b7ae9c228  x1  b400007a2ad55c28  x2  0000000000000001  x3  0000007ff617e368

    x4  0000000000000038  x5  00000079eac96880  x6  000063510000aa19  x7  0000b6fd0000b7d9

    x8  b400007b7ae99950  x9  00000000000028d8  x10 000000000000002f  x11 0000000000000000

    x12 0000000000000012  x13 0000a9c40000ae1f  x14 0024f3f61fb33400  x15 0000000034155555

    x16 00000062aabc4c10  x17 0000007cfafaeec0  x18 0000007d04d7e000  x19 0000000000000000

    x20 b400007a2ad55c28  x21 b400007b7ae9c228  x22 b400007b7aeaa2f8  x23 0000007d046d2000

    x24 0000000000000000  x25 b400007a2ad431c0  x26 0000000000000001  x27 0000000000002559

    x28 00000000000026bd  x29 0000007ff617e2f0

    lr  00000062aa7347a0  sp  0000007ff617e2f0  pc  0000007cfafaeee0  pst 0000000060001000

backtrace:

      #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+32) (BuildId: b940f836006eead456c936e97e64d2d4)
      #01 pc 000000000015b79c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer> >::do_destroy(void*, unsigned long) const+68) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

      #02 pc 0000000000014be4  /system/lib64/libutils.so (android::VectorImpl::operator=(android::VectorImpl const&)+112) (BuildId:

b940f836006eead456c936e97e64d2d4)

      #03 pc 00000000001584c8  /system/bin/surfaceflinger (android::Layer::commitChildList()+80) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #04 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #05 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #06 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #07 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #08 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #09 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #10 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #11 pc 00000000001584a4  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #12 pc 000000000019ecc8  /system/bin/surfaceflinger (android::SurfaceFlinger::commitTransactionLocked()+500) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #13 pc 0000000000195ecc  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+7872) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #14 pc 0000000000193f84  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #15 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId: b940f836006eead456c936e97e64d2d4)

      #16 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId: b940f836006eead456c936e97e64d2d4)

      #17 pc 000000000016f71c  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #18 pc 0000000000189080  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+16) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #19 pc 00000000001d6c40  /system/bin/surfaceflinger (main+1640) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

      #20 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId: 369edc656806aeaf384cbeb8f7a347af)

---------------

2.

复现视频中

①屏幕硬件显示是黑的

②投屏是正常显示画面的

说明这个不是上层画面显示问题, 麻烦重新确认下，谢谢

#6 - 2023-05-30 19:56 - CD BSP-杜磊

和屏端异常相关,明天出VB给到客户进行验证

#7 - 2023-06-01 11:43 - CDTS-TEST 周婷

- Category changed from BSP to 黑屏

- Assignee changed from CD BSP-杜磊 to CD BSP-余霄

请跟踪屏厂VB 压测出现黑屏问题

#8 - 2023-06-01 14:53 - CD BSP-余霄

目前，将这段时间的黑屏BUG做分类，如下：

1.屏端软件异常，电压异常、屏幕处于not ready状态等，需屏厂更新软件解决

2.主机端投屏ok，屏端背光未打开，主机端未做异常恢复机制。5.31合入代码解决。

3.no video异常，视频信号传输异常，该类BUG旧版本日志DTC无明显报错，5.31合入代码新增视频检测信号，并打印日志。

目前屏厂monkey测试出现2台异常，但现场未保留。正在让屏厂复现，并验证修改方案，预计验证OK后6.2号合入。

从日志中分析，该BUG为第3类。
目前5.31版本已提供VB给屏厂测试中，持续跟进屏厂测试结果中。

#9 - 2023-06-02 18:36 - CD BSP-余霄

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

- Root cause set to 同件BUG

与118419为同件BUG，此票关闭。

保留118419跟进问题。

#10 - 2023-06-25 16:17 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#11 - 2023-06-25 16:18 - CDTS_TEST 王成

- Subject changed from 【IOVDEV-31106】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏端未进行任何操作而发生黑屏 to 【IOVDEV-31106

】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏端未进行任何操作而发生黑屏-与118419并票

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-31106.zip 11 MB 2023-05-27 CDTS_Test 吴诗雨
